freiheit.com technologies gmbh

## com.freiheit.gnupg
Interface GnuPGPassphraseListener

All Known Implementing Classes:
  GnuPGPassphraseConsole, GnuPGPassphraseWindow

    public interface GnuPGPassphraseListener

This is the listener interface you need to implement, if you want to react to the passphrase callbacks of the gpgme library for yourself. In this way, you can for example lookup passphrases from a database or so and return them to gpgme. There are also two pre-fabricated listener.

Author:
  Stefan Richter, stefan@freiheit.com
See Also:
  `GnuPGPassphraseWindow`, `GnuPGPassphraseConsole`

Method Summary
`java.lang.String` `getPassphrase(java.lang.String hint, java.lang.String passphraseInfo, int wasBad)` This method will be called by gpgme, if a passphrase is necessary to complete a crypto operation.

Method Detail

### getPassphrase

    java.lang.String getPassphrase(java.lang.String hint,
                                   java.lang.String passphraseInfo,
                                   int wasBad)

  This method will be called by gpgme, if a passphrase is necessary to complete a crypto operation. Implement this interface and register it with the GnuPGContext on which you are operating.

  Parameters:
    `hint` - TODO
    `passphraseInfo` - TODO
    `wasBad` - TODO
  Returns:
    passphrase to be supplied to gpgme callback (MUST include a \n at the end of the string)
  See Also:
    `GnuPGContext`

freiheit.com technologies gmbh

© 2005 freiheit.com technologies gmbh